# -*- coding: utf-8 -*-
"""
Created on Thu Mar 22 22:19:31 2018
「text_mining_02.py」
@author: amenbo
"""
# python解析器janomeをインポート - 1
from janome.tokenizer import Tokenizer

# 形態素解析用オブジェクトの生成 - 2
text = Tokenizer()
 
# txtファイルからデータの読み込み - 3
text_file = open("text_1.txt")#ファイルはshift-jis　で動作
#text_file = open("text_1.txt",encoding="utf-8")#ファイルもＵＴＦ－８にしている　この場合も動作ＯＫ
bindata = text_file.read()
txt = bindata

print("\n")
#print(txt) #動作ＯＫ

# txtから読み込んだデータを形態素解析 - 4
#lines = txt.split("\r\n")#なんか、うまく行かない
lines = txt.split("\n")
for i in lines:
    print(i)
    print("\n")
    text_c = text.tokenize(i)
    for j in text_c:
      print(j)
    print("\n")
 
print("--------------------------------------------")
print("\n")

# テキストを一行ごとに処理 - 5
word_dic = {}
#lines_1 = txt.split("\r\n")#何か、上手く分離できない
lines_1 = txt.split("\n")
print(lines_1)
print("\n")
for line in lines_1:
    malist = text.tokenize(line)
    #print(malist)
    for w in malist:
        word = w.surface
        #print(word)
        ps = w.part_of_speech # 品詞 - 6
        re=w.reading #　読み
        print("word:%s \t ps:%s \t re:%s" %(word,ps,re))
        if ps.find("名詞") < 0: continue # 名詞だけをカウント - 7
        if not word in word_dic:
            word_dic[word] = 0
        word_dic[word] += 1

print("--------------------------------------------")
print("word_dic　の中身：　\n")
print(word_dic)
print("--------------------------------------------")
print("名刺の使用頻度： \n")

# よく使われる単語を表示 - 8
keys = sorted(word_dic.items(), key=lambda x:x[1], reverse=True)
for word, cnt in keys[:50]:
    print("{0}({1}) ".format(word,cnt), end="")









