# -*- coding: utf-8 -*-
"""
Created on Sun Mar 25 22:52:09 2018
[home_timeline_mining.py]
@author: amenbo
"""

# Twitterデータ収集　領域　================================================
from requests_oauthlib import OAuth1Session
import json
#----------------------------
CONSUMER_KEY = "0xgN□e7NP■vMvls□jLJWqJC■e"
CONSUMER_SECRET = "zvBXd□g9MzoUmF■FEiVEgL□ai90N6Nh■EKngEMbpFx□FxRSpeT"
ACCESS_TOKEN = "866□106571628■7170-OuBXh0Br□wurBSwCSHx■wnfyB4jXGTf"
ACCESS_TOKEN_SECRET = "ILr□mjDeSEdkg■UdK4Mz55iMXl□fzt7Ua43mrB■WHcGTH"
#----------------------------
twitter = OAuth1Session(CONSUMER_KEY, CONSUMER_SECRET, ACCESS_TOKEN, ACCESS_TOKEN_SECRET)
params = {}
req = twitter.get("https://api.twitter.com/1.1/statuses/home_timeline.json", params = params)
timeline = json.loads(req.text)
# timelineは辞書型（json形式）データ
#　テキスト部分のみ印刷する
print("==========================================")
for tweet in timeline:
  print(tweet["text"])

# テキストファイルにTwitterのテキストデータを書込み
text_file1=open('text_2.txt','w',encoding='utf-8')#AA-1
for tweet in timeline:
    text_file1.write(tweet["text"])
text_file1.close()


# テキスト・マイニング　領域  ================================================
# python解析器janomeをインポート
from janome.tokenizer import Tokenizer
# 形態素解析用オブジェクトの生成
#text = Tokenizer()
text=Tokenizer("my_simpledic.csv",udic_type="simpledic",udic_enc="utf8")
text_file = open('text_2.txt','r',encoding='utf-8')
# テキストファイルからTwitterデータを読み出す
bindata = text_file.read()
txt = bindata
text_file.close()
# テキストデータを一行ごとに形態素解析処理する
word_dic = {}
#lines_1 = txt.split("\r\n")#何か、上手く分離できない
lines_1 = txt.split("\n")
##print(lines_1)
##print("\n")
for line in lines_1:
    malist = text.tokenize(line)
    #print(malist)
    for w in malist:
        word = w.surface
        #print(word)
        ps = w.part_of_speech # 品詞 
        re=w.reading #　読み
        ##print("word:%s \t ps:%s \t re:%s" %(word,ps,re))
        if ps.find("名詞") < 0: continue # 名詞だけをカウント - 7
        if not word in word_dic:
            word_dic[word] = 0
        word_dic[word] += 1
print("==========================================")

print("word_dic　の中身：　\n")
print(word_dic)
print("==========================================")
print("名詞の使用頻度（頭から５０個のみ） \n")
# よく使われる単語を表示
keys = sorted(word_dic.items(), key=lambda x:x[1], reverse=True)
for word, cnt in keys[:50]:
    print("{0}({1}) ".format(word,cnt), end="")
print("\n==========================================")

#　特定「名刺」のみ、使用頻度を表示
if '関税' in word_dic:
    print("\n［関税］は{0}個あります".format(word_dic['関税']))
else:
    print("\n［関税］ はありません")
if '貿易戦争' in word_dic:
    print("\n［貿易戦争］は{0}個あります".format(word_dic['貿易戦争']))
else:
    print("\n［関税］ はありません")
if '仮想通貨' in word_dic:
    print("\n［仮想通貨］は{0}個あります".format(word_dic['仮想通貨']))
else:
    print("\n［仮想通貨］ はありません")
if 'ブロックチェーン' in word_dic:
    print("\n［ブロックチェーン］は{0}個あります".format(word_dic['ブロックチェーン']))
else:
    print("\n［ブロックチェーン］ はありません")
if 'ビットコイン' in word_dic:
    print("\n［ビットコイン］は{0}個あります".format(word_dic['ビットコイン']))
else:
    print("\n［ビットコイン］ はありません")
    
print("==========================================")
#===========================================================

